# EggLapsePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EggLapsePhase

Phase that handles updating eggs, and hatching any ready eggs Also handles prompts for skipping animation, and calling the egg summary phase

#### Hierarchy (View Summary)

- Phase
  - EggLapsePhase

- Defined in src/phases/egg-lapse-phase.ts:18

##### Index

### Constructors

constructor

### Methods

end
generatePokemon
hatchEggSilently
hatchEggsRegular
hatchEggsSkipped
showSummary
start

## Constructors

### constructor

- new EggLapsePhase(): EggLapsePhase

  #### Returns EggLapsePhase

  Inherited from Phase.constructor

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### generatePokemon

- generatePokemon(egg: Egg ): EggHatchData

  Generates a Pokemon and creates a new EggHatchData instance for the given egg

  #### Parameters

  - egg: Egg

    the egg to hatch

  #### Returns EggHatchData

  the hatched PlayerPokemon

  - Defined in src/phases/egg-lapse-phase.ts:142

### hatchEggSilently

- hatchEggSilently(egg: Egg ): void

  Hatches an egg and stores it in the local EggHatchData array without animations Also validates the achievements for the hatched pokemon and removes the egg

  #### Parameters

  - egg: Egg

    egg to hatch

  #### Returns void

  - Defined in src/phases/egg-lapse-phase.ts:110

### hatchEggsRegular

- hatchEggsRegular(eggsToHatch: Egg []): void

  Hatches eggs normally one by one, showing animations

  #### Parameters

  - eggsToHatch: Egg []

    list of eggs to hatch

  #### Returns void

  - Defined in src/phases/egg-lapse-phase.ts:82

### hatchEggsSkipped

- hatchEggsSkipped(eggsToHatch: Egg []): void

  Hatches eggs with no animations

  #### Parameters

  - eggsToHatch: Egg []

    list of eggs to hatch

  #### Returns void

  - Defined in src/phases/egg-lapse-phase.ts:94

### showSummary

- showSummary(): void

  #### Returns void

  - Defined in src/phases/egg-lapse-phase.ts:100

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/egg-lapse-phase.ts:22